# FoundationClasses
TKernel
NCollection

# NCollection_UBTreeFiller< TheObjType, TheBndType >::ObjBnd Struct Reference

Structure of pair (object, bnd box).

`#include <NCollection_UBTreeFiller.hxx>`

## Public Member Functions

| ObjBnd (const TheObjType &theObj, const TheBndType &theBnd)
| ObjBnd ()

## Data Fields

TheObjType | myObj
TheBndType | myBnd

### template<class TheObjType, class TheBndType>
struct NCollection_UBTreeFiller< TheObjType, TheBndType >::ObjBnd

## Constructor & Destructor Documentation

template<class TheObjType, class TheBndType>
NCollection_UBTreeFiller< TheObjType, TheBndType >::ObjBnd::ObjBnd | ( | const TheObjType & | theObj,
|  | const TheBndType & | theBnd
| ) | `[inline]`

template<class TheObjType, class TheBndType>
NCollection_UBTreeFiller< TheObjType, TheBndType >::ObjBnd::ObjBnd | ( |  | ) | `[inline]`

## Field Documentation

template<class TheObjType, class TheBndType>
TheBndType NCollection_UBTreeFiller< TheObjType, TheBndType >::ObjBnd::myBnd

template<class TheObjType, class TheBndType>
TheObjType NCollection_UBTreeFiller< TheObjType, TheBndType >::ObjBnd::myObj

The documentation for this struct was generated from the following file:

- NCollection_UBTreeFiller.hxx